/**  版本信息模板在安装目录下，可自行修改。
* flaw.cs
*
* 功 能： N/A
* 类 名： flaw
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024-07-27 10:51:14   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Collections.Generic;
using Maticsoft.Common;
using Jpsoft.Model;
namespace Jpsoft.BLL
{
	/// <summary>
	/// flaw
	/// </summary>
	public partial class Flaw
	{
		private readonly Jpsoft.DAL.Flaw dal=new Jpsoft.DAL.Flaw();
		public Flaw()
		{}
		#region  BasicMethod
		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(string id_)
		{
			return dal.Exists(id_);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool Add(Jpsoft.Model.Flaw model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(Jpsoft.Model.Flaw model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(string id_)
		{
			
			return dal.Delete(id_);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string id_list )
		{
			return dal.DeleteList(id_list );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public Jpsoft.Model.Flaw GetModel(string id_)
		{
			
			return dal.GetModel(id_);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
		public Jpsoft.Model.Flaw GetModelByCache(string id_)
		{
			
			string CacheKey = "flawModel-" + id_;
			object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
			if (objModel == null)
			{
				try
				{
					objModel = dal.GetModel(id_);
					if (objModel != null)
					{
						int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
						Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
					}
				}
				catch{}
			}
			return (Jpsoft.Model.Flaw)objModel;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<Jpsoft.Model.Flaw> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<Jpsoft.Model.Flaw> DataTableToList(DataTable dt)
		{
			List<Jpsoft.Model.Flaw> modelList = new List<Jpsoft.Model.Flaw>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				Jpsoft.Model.Flaw model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = dal.DataRowToModel(dt.Rows[n]);
					if (model != null)
					{
						modelList.Add(model);
					}
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

